#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/usr/src/packages/BUILD/kalva.kdevelop/src/kalva_playergui.ui'
**
** Created: Mo Jun 27 07:45:35 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.4   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kalva_playergui.h"

#include <qvariant.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a kalva_playergui as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
kalva_playergui::kalva_playergui( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "kalva_playergui" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 500, 480 ) );
    setMaximumSize( QSize( 600, 480 ) );
    kalva_playerguiLayout = new QVBoxLayout( this, 6, 2, "kalva_playerguiLayout"); 

    m_stationLayout = new QHBoxLayout( 0, 6, 2, "m_stationLayout"); 

    m_station = new QLineEdit( this, "m_station" );
    m_station->setEnabled( FALSE );
    m_station->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, m_station->sizePolicy().hasHeightForWidth() ) );
    m_station->setMinimumSize( QSize( 200, 0 ) );
    m_station->setAcceptDrops( FALSE );
    m_stationLayout->addWidget( m_station );

    m_channel = new QLineEdit( this, "m_channel" );
    m_channel->setEnabled( FALSE );
    m_channel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_channel->sizePolicy().hasHeightForWidth() ) );
    m_channel->setMaximumSize( QSize( 60, 32767 ) );
    m_channel->setMouseTracking( FALSE );
    m_stationLayout->addWidget( m_channel );

    m_frq = new QLineEdit( this, "m_frq" );
    m_frq->setEnabled( FALSE );
    m_frq->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_frq->sizePolicy().hasHeightForWidth() ) );
    m_frq->setMaximumSize( QSize( 60, 32767 ) );
    m_frq->setAcceptDrops( FALSE );
    m_stationLayout->addWidget( m_frq );
    kalva_playerguiLayout->addLayout( m_stationLayout );

    m_playButton = new QPushButton( this, "m_playButton" );
    m_playButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, m_playButton->sizePolicy().hasHeightForWidth() ) );
    m_playButton->setMaximumSize( QSize( 32767, 32767 ) );
    kalva_playerguiLayout->addWidget( m_playButton );
    languageChange();
    resize( QSize(500, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_playButton, SIGNAL( clicked() ), this, SLOT( play() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
kalva_playergui::~kalva_playergui()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void kalva_playergui::languageChange()
{
    setCaption( tr2i18n( "kalva player" ) );
    QToolTip::add( m_station, tr2i18n( "Shows the station" ) );
    QToolTip::add( m_channel, tr2i18n( "Shows the channel" ) );
    QToolTip::add( m_frq, tr2i18n( "Shows the frequence" ) );
    m_playButton->setText( tr2i18n( "&TEST\n"
"I will run an external mplayer\n"
"this is not intentional, an embeded player is worked on" ) );
    m_playButton->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( m_playButton, tr2i18n( "Runs an external MPlayer for previewing" ) );
}

void kalva_playergui::play()
{
    qWarning( "kalva_playergui::play(): Not implemented yet" );
}

void kalva_playergui::stationChanged(const QString,const QString,const QString)
{
    qWarning( "kalva_playergui::stationChanged(const QString,const QString,const QString): Not implemented yet" );
}

#include "kalva_playergui.moc"
